import { AfterViewInit, EventEmitter, InjectionToken, OnDestroy, OnInit } from "@angular/core";
import { NotificationService, TranslationStore } from "@smallstack/i18n-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { Observable, Subscription } from "rxjs";
import { FormOptions } from "../../interfaces/form-options";
import { SchemaFormService } from "../../services/schema-form.service";
import * as i0 from "@angular/core";
export declare const INPUT_WIDGETS_TRANSLATION_STORE: InjectionToken<TranslationStore>;
/** All smallstack forms shall be wrapped by this component */
export declare class FormComponent implements OnInit, AfterViewInit, OnDestroy {
    private notificationService;
    schemaFormService: SchemaFormService;
    set schema(schema: SmallstackTypeSchema);
    get schema(): SmallstackTypeSchema;
    /** these options are the default for every input widget and will also be available via formService.globalFormOptions$ */
    set options(options: FormOptions);
    get options(): FormOptions;
    set value(value: any);
    readonly valueChange: EventEmitter<any>;
    readonly submitForm: EventEmitter<any>;
    isValid$: Observable<boolean>;
    protected subscription: Subscription;
    constructor(notificationService: NotificationService, schemaFormService: SchemaFormService);
    ngOnInit(): void;
    /** After view is init and all inputs were checked for the first time we'll start exposing value changes via the valueChange @Output */
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    validateForm(): () => Promise<void>;
    validateFormAndSave<T = any>(saveFn: () => Promise<T>): () => Promise<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormComponent, "smallstack-form", never, { "schema": { "alias": "schema"; "required": false; }; "options": { "alias": "options"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; "submitForm": "submitForm"; }, never, ["*"], false, never>;
}
