import { Subject } from "rxjs";
import { SchemaFormPlaceholderDirective } from "./schema-form-placeholder.directive";
import * as i0 from "@angular/core";
/**
 * A service where descent custom layout directives can register itself. This is necessary since @ContentChildren from Angular stops at templates from sub-components, meaning, a sub-sub-sub compomnent that renders a <div schemaFormPlaceholder="something"> inside its <ng-content> will never be recognized.
 * See https://stackoverflow.com/questions/52653376/angular-using-contentchildren-to-get-children-inside-another-component
 */
export declare class SchemaFormCustomLayoutService {
    schemaFormPlaceholders$: Subject<SchemaFormPlaceholderDirective>;
    addSchemaFormPlaceholder(comp: SchemaFormPlaceholderDirective): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormCustomLayoutService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SchemaFormCustomLayoutService>;
}
