import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from "@angular/core";
import { MatLegacyDialog as MatDialog } from "@angular/material/legacy-dialog";
import { BreakpointService } from "@smallstack/common-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { Observable } from "rxjs";
import { AbstractSchemaFormTable } from "./abstract-schema-form-table";
import * as i0 from "@angular/core";
export declare class SchemaFormTableComponent extends AbstractSchemaFormTable implements OnInit, OnDestroy, OnChanges {
    #private;
    private matDialog;
    protected cdr: ChangeDetectorRef;
    compactMode$: Observable<boolean>;
    columns: string[];
    set schema(schema: SmallstackTypeSchema);
    tableSchema$: Observable<SmallstackTypeSchema>;
    private initializedFormTable;
    originalOrder: (a: unknown, b: unknown) => number;
    constructor(matDialog: MatDialog, cdr: ChangeDetectorRef, breakpointService: BreakpointService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    trackBy(index: number, item: any): string;
    openAddSchemaDialog(): void;
    resetForm(): void;
    private evaluateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchemaFormTableComponent, "smallstack-form-table,schema-form-table,smallstack-schema-form-table", never, { "schema": { "alias": "schema"; "required": false; }; }, {}, never, never, false, never>;
}
