import { Injector, OnInit, ViewContainerRef } from "@angular/core";
import { SchemaFormInputsRegistry } from "../../services/schema-form-widget-registry";
import { SchemaFormBase } from "../schema-form-base/schema-form-base.component";
import * as i0 from "@angular/core";
/**
 * A schema form widget renders a json schema form. It delegates UI rendering to widgets based on the schema form type & schema properties
 *
 * @example
 * <smallstack-schema-form-widget [schema]="myJsonSchema" [options]="{showLabel: true}"></smallstack-schema-form-widget>
 */
export declare class SchemaFormWidgetComponent extends SchemaFormBase implements OnInit {
    private schemaFormInputsRegistry;
    private injector;
    private extensionSlotComponent;
    componentHost: ViewContainerRef;
    renderError: string;
    private renderedComponent;
    constructor(schemaFormInputsRegistry: SchemaFormInputsRegistry, injector: Injector, extensionSlotComponent: any);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchemaFormWidgetComponent, "smallstack-schema-form-widget,schema-form-widget", never, {}, {}, never, never, true, never>;
}
