import { SchemaFormSchema } from "@smallstack/form-shared";
import { SchemaFormBaseWidget } from "../components/schema-form-base/schema-form-base-widget.component";
import { SchemaFormBase } from "../components/schema-form-base/schema-form-base.component";
import * as i0 from "@angular/core";
export type RegistryFormInput = typeof SchemaFormBase | typeof SchemaFormBaseWidget | unknown;
/**
 * Holds UI Widget Representations used by the Schema Form to render JSON Schema Forms
 */
export declare class SchemaFormInputsRegistry {
    private registry;
    /**
     * Adds (or overwrites) a widget for the given name
     * @param name can be a primitive json schema type like boolean, number etc. or a custom one like 'my-widget'. You can explicitly set the widget in your schema via `schema.x-schema-form.widget` or let this registry try to find the correct one
     * @param component An angular component based on the {@link SchemaFormBaseWidget} classs
     */
    addWidget(name: string, component: RegistryFormInput): void;
    getWidgetByName(name: string): RegistryFormInput;
    /**
     * This method determines, based on the schema, which widget to use
     */
    getWidgetBySchema(schema: SchemaFormSchema): RegistryFormInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchemaFormInputsRegistry, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SchemaFormInputsRegistry>;
}
